/*
 * customEvents: polyfill the CustomEvent() constructor functionality in Internet Explorer 9 and higher
 * copyright is dedicated to the Public Domain http://creativecommons.org/publicdomain/zero/1.0/
 * source article: CustomEvent (https://developer.mozilla.org/en-US/docs/Web/API/CustomEvent/CustomEvent) 
 * contributed by https://developer.mozilla.org/en-US/docs/Web/API/CustomEvent/CustomEvent$history
 * is licensed under http://creativecommons.org/licenses/by-sa/2.5/
 * 
 */ 

(function () {
    
      if ( typeof window.CustomEvent === "function" ) {
        return false;
      }
    
      function CustomEvent ( event, params ) {
        const parameters = params || { bubbles: false, cancelable: false, detail: undefined };
        var evt = document.createEvent( 'CustomEvent' );
        evt.initCustomEvent( event, parameters.bubbles, parameters.cancelable, parameters.detail );
        return evt;
      }
    
      CustomEvent.prototype = window.Event.prototype;
    
      window.CustomEvent = CustomEvent;
})();